OpenVDB 5.1.0

Classes | Namespaces | Functions
IndexFilter.h File Reference

Index filters primarily designed to be used with a FilterIndexIter. More...

`#include <openvdb/version.h>`
`#include <openvdb/Types.h>`
`#include <openvdb/math/Transform.h>`
`#include <openvdb/tools/Interpolation.h>`
`#include "IndexIterator.h"`
`#include "AttributeArray.h"`
`#include "AttributeGroup.h"`
`#include "AttributeSet.h"`
`#include <boost/ptr_container/ptr_vector.hpp>`
`#include <random>`
`#include <numeric>`

Go to the source code of this file.

## Classes
class | MultiGroupFilter
class | RandomLeafFilter< PointDataTreeT, RandGenT >
class | AttributeHashFilter< RandGenT, IntType >
class | LevelSetFilter< LevelSetGridT >
class | BBoxFilter
class | BinaryFilter< T1, T2, And >
struct | FilterTraits< T >
struct | FilterTraits< BBoxFilter >
struct | FilterTraits< LevelSetFilter< T > >
struct | FilterTraits< BinaryFilter< T0, T1, And > >

## Namespaces
| openvdb
| openvdb::v5_1
| openvdb::v5_1::points
| openvdb::v5_1::points::index_filter_internal

## Functions
template<typename RandGenT , typename IntType >
std::vector< IntType > | generateRandomSubset (const unsigned int seed, const IntType n, const IntType m)

## Detailed Description

Index filters primarily designed to be used with a FilterIndexIter.

Author
  Dan Bailey